### Namespace

# Pos – 0

Phosh On Screen Keyboard Stub

Version | 0.38.0
Authors | Guido Günther
License | GPL-3-or-later
Website | https://gitlab.gnome.org/guidog/phosh-osk-stub/
Source | https://gitlab.gnome.org/guidog/phosh-osk-stub/

#### Build

pkg-config files | `pos-0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

ActivationFilter | Allows to suppress OSK activation based on the app-id of the currently active application. since: 0
CharPopup | A character popup. since: 0
CompleterHunspell | A completer using hunspell. since: 0
CompleterManager | Manages initialization and lookup of the different completion engines. since: 0
CompleterPipe | A completer using a unix pipe like approach. since: 0
CompleterPresage | A completer using presage. since: 0
CompleterVarnam | A completer using varnam. since: 0
CompletionBar | A button bar that displays completions and emits “selected” if one is picked. since: 0
EmojiPicker | A widget to pick emojis from. since: 0
HwTracker | Track connected hardware state (e.g. connected keyboards) since: 0
InputMethod | A Wayland input method handler. This wraps the zwp_input_method_v2 protocol easing things like double buffering state. since: 0
InputSurface | Main surface that has all the widgets. Should not bother how the OSK is driven. since: 0
OskDbus | Provides the sm.puri.OSK0 DBus interface. since: 0
OskKey | A key on the osk widget. since: 0
OskWidget | Renders the keyboard and reacts to keypresses by signal emissions. since: 0
ShortcutsBar | ShortcutsBar stored in gsettings. since: 0
VirtualKeyboard | A Wayland virtual keyboard that gets its keymaps from GNOME. It’s not concerned with any rendering. since: 0
VkDriver | Processes input events and drives a virtual keyboard using the wayland virtual keyboard protocol. The input events can either be based on kernel input event codes or GDK keycodes. since: 0

#### Interfaces

Completer | Interface for completion engines. since: 0

#### Structs

CompletionInfo | since: 0
ImState | since: 0
Shortcut | since: 0

#### Enumerations

InputMethodHint | Input hint as specified by text input protocol. since: 0
InputMethodPurpose | Input purpose as specified by text input protocol. since: 0
InputMethodTextChangeCause | since: 0
OskKeyUse | The use (purpose) of a key. since: 0
OskWidgetLayer | The currently displayed keyboard layer. since: 0
OskWidgetMode | The mode the `PosOskWidget` is in. since: 0

#### Bitfields

VirtualKeyboardModifierFlags | Modifiers matching the ones from wl_keyboard. since: 0

#### Error Domains

CompleterError | Errors emitted by the completion engines. since: 0

#### Functions

init | Initialize the library. This ensures the available types and loads the resources. since: 0
uninit | Free up resources. since: 0

#### Function Macros

OSK_KEY_DBG | since: 0

#### Constants

COMPLETER_DEFAULT_LANG | since: 0
COMPLETER_DEFAULT_REGION | since: 0
OSK_SYMBOL_DOWN | since: 0
OSK_SYMBOL_LEFT | since: 0
OSK_SYMBOL_RIGHT | since: 0
OSK_SYMBOL_SPACE | since: 0
OSK_SYMBOL_UP | since: 0